#4145 closed defect (fixed)

rtems-source-builder: Update RTEMS Kernel Recipe to Use waf for RTEMS

Reported by: Joel Sherrill Owned by: Ryan Long <ryan.long@…>
Priority: normal Milestone: 6.1
Component: tool/rsb Version: 6
Severity: normal Keywords: wafblocker
Cc: Blocked By:
Blocking:

Description

kernel configuration builds using autoconf-based build system. Needs to be switched to waf. Hopefully contained to rtems-kernel-common.cfg.

Change History (3)

comment:1 Changed on 10/14/20 at 17:17:25 by Joel Sherrill

Summary: rtems-source-builder: RTEMS Kernel Recipertems-source-builder: Update RTEMS Kernel Recipe to Use waf for RTEMS

comment:2 Changed on 11/09/20 at 04:54:19 by Chris Johns

This is not as easy as I thought it might be. Let me explain ...

The config.ini file hides some important detail the RSB needs. The RSB currently names the package as:

rtems-%{rtems_version}-%{_target}-%{rtems_bsp}-%{_host}-%{release}

The target and BSP are in the build config file and a config file could build a mix of architectures breaking this naming.

The simplest approach is to take the arguments provided to the RSB and create a config.ini file but this would be limiting where complex BSP options are needed.

I could check if the --with-rtems-bspopts option is a path and that could be a list of specific BSP options appended into the BSP specific area.

Should the following options print a depreciate warning:

--with-rtems-legacy-network
--with-rtems-cxx

I am not sure about --with-rtems-posix. I think it should be removed and POSIX always be enabled.

comment:3 Changed on 11/09/21 at 17:06:43 by Ryan Long <ryan.long@…>

Owner: set to Ryan Long <ryan.long@…>
Resolution: fixed
Status: newclosed

In def9347/rtems-source-builder:

rtems-kernel: Implement kernel recipe using waf

Closes #4145

Note: See TracTickets for help on using tickets.